Network
All operations require authentication.
List the LANs of the modemProduction
Returns the names of the LANs configured on the modem of the access.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ lan \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a LAN of the modemProduction
Returns the IP address, subnet mask and addressing type of a LAN of the modem.
Path parameters
Lan name
Service name
Response
IP address (e.g., 192.0.2.0)
How the modem gets its LAN IP Address
DHCPStaticName of the LAN
IP address (e.g., 192.0.2.0)
ID of the ongoing todo (NULL if none)
Example uses lanName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ lan/ {lanName} \
-H "authorization: Bearer $OVH_TOKEN"{ "IPAddress": "192.0.2.0", "addressingType": "DHCP", "lanName": "string", "subnetMask": "192.0.2.0", "taskId": 0}
Update a LAN of the modemProduction
Changes the IP address, subnet mask and addressing type of a LAN of the modem.
Path parameters
Lan name
Service name
Request body (required)
IP address (e.g., 192.0.2.0)
How the modem gets its LAN IP Address
DHCPStaticName of the LAN
IP address (e.g., 192.0.2.0)
ID of the ongoing todo (NULL if none)
Response
Example uses lanName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ lan/ {lanName} \
-H "authorization: Bearer $OVH_TOKEN"List the DHCP servers of a LANProduction
Returns the names of the DHCP servers configured on a LAN of the modem.
Path parameters
Lan name
Service name
Response
Example uses lanName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ lan/ {lanName}/ dhcp \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a DHCP server of a LANProduction
Returns the state, address range, subnet mask, gateway, DNS servers, domain name and lease time of a DHCP server of the modem.
Path parameters
Dhcp name
Lan name
Service name
Response
IP address (e.g., 192.0.2.0)
Name of the DHCP
Domain name provided to the clients
IP address (e.g., 192.0.2.0)
Lease time in seconds of client assigned address (-1 means infinite)
IP address (e.g., 192.0.2.0)
Secondary DNS servers to be given to the clients
State of the DHCP server of the modem
IP address (e.g., 192.0.2.0)
IP address (e.g., 192.0.2.0)
ID of the ongoing todo (NULL if none)
Example uses dhcpName = string, lanName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ lan/ {lanName}/ dhcp/ {dhcpName} \
-H "authorization: Bearer $OVH_TOKEN"{ "defaultGateway": "192.0.2.0", "dhcpName": "string", "domainName": "string", "endAddress": "192.0.2.0", "leaseTime": 0, "primaryDNS": "192.0.2.0", "secondaryDNS": "192.0.2.0", "serverEnabled": true, "startAddress": "192.0.2.0", "subnetMask": "192.0.2.0", "taskId": 0}
Update a DHCP server of a LANProduction
Changes the state, address range, subnet mask, gateway, DNS servers, domain name or lease time of a DHCP server of the modem.
Path parameters
Dhcp name
Lan name
Service name
Request body (required)
IP address (e.g., 192.0.2.0)
Name of the DHCP
Domain name provided to the clients
IP address (e.g., 192.0.2.0)
Lease time in seconds of client assigned address (-1 means infinite)
IP address (e.g., 192.0.2.0)
Secondary DNS servers to be given to the clients
State of the DHCP server of the modem
IP address (e.g., 192.0.2.0)
IP address (e.g., 192.0.2.0)
ID of the ongoing todo (NULL if none)
Response
Example uses dhcpName = string, lanName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ lan/ {lanName}/ dhcp/ {dhcpName} \
-H "authorization: Bearer $OVH_TOKEN"List the DHCP static leasesProduction
Returns the MAC addresses of the devices with a static lease on a DHCP server of the modem.
Path parameters
Dhcp name
Lan name
Service name
Response
Example uses dhcpName = string, lanName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ lan/ {lanName}/ dhcp/ {dhcpName}/ DHCPStaticAddresses \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Create a DHCP static leaseProduction
Reserves an IP address for a device MAC address on a DHCP server of the modem. Returns the created lease.
Path parameters
Dhcp name
Lan name
Service name
Request body (required)
IP address (e.g., 192.0.2.0)
The MAC address of the device
Name of the DHCP static lease
Response
IP address (e.g., 192.0.2.0)
The MAC address of the device
Name of the DHCP Static lease
ID of the ongoing todo (NULL if none)
Example uses dhcpName = string, lanName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ lan/ {lanName}/ dhcp/ {dhcpName}/ DHCPStaticAddresses \
-H "authorization: Bearer $OVH_TOKEN"{ "IPAddress": "192.0.2.0", "MACAddress": "string", "name": "string", "taskId": 0}
Get a DHCP static leaseProduction
Returns the name, MAC address and reserved IP address of a static lease.
Path parameters
macaddress
Dhcp name
Lan name
Service name
Response
IP address (e.g., 192.0.2.0)
The MAC address of the device
Name of the DHCP Static lease
ID of the ongoing todo (NULL if none)
Example uses MACAddress = string, dhcpName = string, lanName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ lan/ {lanName}/ dhcp/ {dhcpName}/ DHCPStaticAddresses/ {MACAddress} \
-H "authorization: Bearer $OVH_TOKEN"{ "IPAddress": "192.0.2.0", "MACAddress": "string", "name": "string", "taskId": 0}
Update a DHCP static leaseProduction
Changes the name or the reserved IP address of a static lease.
Path parameters
macaddress
Dhcp name
Lan name
Service name
Request body (required)
IP address (e.g., 192.0.2.0)
The MAC address of the device
Name of the DHCP Static lease
ID of the ongoing todo (NULL if none)
Response
Example uses MACAddress = string, dhcpName = string, lanName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ lan/ {lanName}/ dhcp/ {dhcpName}/ DHCPStaticAddresses/ {MACAddress} \
-H "authorization: Bearer $OVH_TOKEN"Delete a DHCP static leaseProduction
Removes the static lease from the DHCP server of the modem. Returns the task that performs the change.
Path parameters
macaddress
Dhcp name
Lan name
Service name
Response
Date when the action was completed
Status of a task.
cancelleddoingdoneerrorproblemtodoDate when the action will start
Example uses MACAddress = string, dhcpName = string, lanName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ lan/ {lanName}/ dhcp/ {dhcpName}/ DHCPStaticAddresses/ {MACAddress} \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "isArchived": true, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z", "updateDate": "2024-01-01T12:00:00Z"}
List the devices connected to the modemProduction
Returns the MAC addresses of the devices connected to the modem of the access.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ connectedDevices \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a device connected to the modemProduction
Returns the host name, IP address, interface, DHCP lease time and state of a device connected to the modem.
Path parameters
Mac address
Service name
Response
The state of this device on the modem
How did the device got its IP address
DHCPStaticUnknownHost name given by the device to the modem
The date time of the last update of thoses information
On which interface is connected the device
The IP address of the device
The remaining time in seconds of the DHCP lease of this device (-1 means infinite)
MAC address of the device
Example uses macAddress = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ xdsl/ {serviceName}/ modem/ connectedDevices/ {macAddress} \
-H "authorization: Bearer $OVH_TOKEN"{ "active": true, "addressSource": "DHCP", "hostName": "string", "informationDate": "2024-01-01T12:00:00Z", "interfaceType": "string", "ipAddress": "192.0.2.0", "leaseTimeRemaining": 0, "macAddress": "string"}